%global desc Sphinx themes for Flask and related projects

%global pkg_name flask-sphinx-themes
%global mod_name Flask-Sphinx-Themes


Name:           python-flask-sphinx-themes
Version:        1.0.2
Release:        1%{?dist}
Summary:        %{desc}
License:        BSD
URL:            https://github.com/pallets/flask-sphinx-themes
Source0:        https://files.pythonhosted.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
%{desc}

%package -n python2-%{pkg_name}
Requires: python2-sphinx
Summary: %{desc}
%{?python_provide:%python_provide python2-%{pkg_name}}
%description -n python2-%{pkg_name}
%{desc}



%package -n python%{python3_pkgversion}-%{pkg_name}
Requires: python%{python3_pkgversion}-sphinx
Summary: %{desc}
%{?python_provide:%python_provide python3-%{pkg_name}}
%description -n python%{python3_pkgversion}-%{pkg_name}
%{desc}

%prep
%setup -q -n %{mod_name}-%{version}

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{pkg_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/flask_sphinx_themes/
%{python2_sitelib}/Flask_Sphinx_Themes*.egg-info/

%files -n python%{python3_pkgversion}-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/flask_sphinx_themes/
%{python3_sitelib}/Flask_Sphinx_Themes*.egg-info/


%changelog
* Fri Mar 09 2018 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.0.2-1
- initial version